Discover Government News


   SUSE Security Update: Security update for tiff
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:1667-1
Rating:             important
References:         #1195964 #1195965 #1197066 #1197068 #1197072 
                    #1197073 #1197074 #1197631 
Cross-References:   CVE-2022-0561 CVE-2022-0562 CVE-2022-0865
                    CVE-2022-0891 CVE-2022-0908 CVE-2022-0909
                    CVE-2022-0924 CVE-2022-1056
CVSS scores:
                    CVE-2022-0561 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0561 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0562 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0562 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0865 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0865 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0891 (NVD) : 7.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:H
                    CVE-2022-0891 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2022-0908 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0908 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0909 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0909 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0924 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-0924 (SUSE): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
                    CVE-2022-1056 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-1056 (SUSE): 7.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H

Affected Products:
                    SUSE Linux Enterprise Server 12-SP5
                    SUSE Linux Enterprise Server for SAP Applications 12-SP5
                    SUSE Linux Enterprise Software Development Kit 12-SP5
______________________________________________________________________________

   An update that fixes 8 vulnerabilities is now available.

Description:

   This update for tiff fixes the following issues:

   - CVE-2022-0561: Fixed null source pointer passed as an argument to
     memcpy() within TIFFFetchStripThing() in tif_dirread.c (bsc#1195964).
   - CVE-2022-0562: Fixed null source pointer passed as an argument to
     memcpy() within TIFFReadDirectory() in tif_dirread.c (bsc#1195965).
   - CVE-2022-0865: Fixed assertion failure in TIFFReadAndRealloc
     (bsc#1197066).
   - CVE-2022-0909: Fixed divide by zero error in tiffcrop that could have
     led to a denial-of-service via a crafted tiff file (bsc#1197072).
   - CVE-2022-0924: Fixed out-of-bounds read error in tiffcp that could have
     led to a denial-of-service via a crafted tiff file (bsc#1197073).
   - CVE-2022-0908: Fixed null source pointer passed as an argument to memcpy
     in TIFFFetchNormalTag() (bsc#1197074).
   - CVE-2022-1056: Fixed out-of-bounds read error in tiffcrop that could
     have led to a denial-of-service via a crafted tiff file (bsc#1197631).
   - CVE-2022-0891: Fixed heap buffer overflow in extractImageSection
     (bsc#1197068).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Software Development Kit 12-SP5:

      zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-1667=1

   - SUSE Linux Enterprise Server 12-SP5:

      zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-1667=1



Package List:

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):

      libtiff-devel-4.0.9-44.48.1
      tiff-debuginfo-4.0.9-44.48.1
      tiff-debugsource-4.0.9-44.48.1

   - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

      libtiff5-4.0.9-44.48.1
      libtiff5-debuginfo-4.0.9-44.48.1
      tiff-4.0.9-44.48.1
      tiff-debuginfo-4.0.9-44.48.1
      tiff-debugsource-4.0.9-44.48.1

   - SUSE Linux Enterprise Server 12-SP5 (s390x x86_64):

      libtiff5-32bit-4.0.9-44.48.1
      libtiff5-debuginfo-32bit-4.0.9-44.48.1


References:

   https://www.suse.com/security/cve/CVE-2022-0561.html
   https://www.suse.com/security/cve/CVE-2022-0562.html
   https://www.suse.com/security/cve/CVE-2022-0865.html
   https://www.suse.com/security/cve/CVE-2022-0891.html
   https://www.suse.com/security/cve/CVE-2022-0908.html
   https://www.suse.com/security/cve/CVE-2022-0909.html
   https://www.suse.com/security/cve/CVE-2022-0924.html
   https://www.suse.com/security/cve/CVE-2022-1056.html
   https://bugzilla.suse.com/1195964
   https://bugzilla.suse.com/1195965
   https://bugzilla.suse.com/1197066
   https://bugzilla.suse.com/1197068
   https://bugzilla.suse.com/1197072
   https://bugzilla.suse.com/1197073
   https://bugzilla.suse.com/1197074
   https://bugzilla.suse.com/1197631

SUSE: 2022:1667-1 important: tiff

May 16, 2022
An update that fixes 8 vulnerabilities is now available

Summary

This update for tiff fixes the following issues: - CVE-2022-0561: Fixed null source pointer passed as an argument to memcpy() within TIFFFetchStripThing() in tif_dirread.c (bsc#1195964). - CVE-2022-0562: Fixed null source pointer passed as an argument to memcpy() within TIFFReadDirectory() in tif_dirread.c (bsc#1195965). - CVE-2022-0865: Fixed assertion failure in TIFFReadAndRealloc (bsc#1197066). - CVE-2022-0909: Fixed divide by zero error in tiffcrop that could have led to a denial-of-service via a crafted tiff file (bsc#1197072). - CVE-2022-0924: Fixed out-of-bounds read error in tiffcp that could have led to a denial-of-service via a crafted tiff file (bsc#1197073). - CVE-2022-0908: Fixed null source pointer passed as an argument to memcpy in TIFFFetchNormalTag() (bsc#1197074). - CVE-2022-1056: Fixed out-of-bounds read error in tiffcrop that could have led to a denial-of-service via a crafted tiff file (bsc#1197631). - CVE-2022-0891: Fixed heap buffer overflow in extractImageSection (bsc#1197068). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Software Development Kit 12-SP5: zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-1667=1 - SUSE Linux Enterprise Server 12-SP5: zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-1667=1 Package List: - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64): libtiff-devel-4.0.9-44.48.1 tiff-debuginfo-4.0.9-44.48.1 tiff-debugsource-4.0.9-44.48.1 - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64): libtiff5-4.0.9-44.48.1 libtiff5-debuginfo-4.0.9-44.48.1 tiff-4.0.9-44.48.1 tiff-debuginfo-4.0.9-44.48.1 tiff-debugsource-4.0.9-44.48.1 - SUSE Linux Enterprise Server 12-SP5 (s390x x86_64): libtiff5-32bit-4.0.9-44.48.1 libtiff5-debuginfo-32bit-4.0.9-44.48.1

References

#1195964 #1195965 #1197066 #1197068 #1197072

#1197073 #1197074 #1197631

Cross- CVE-2022-0561 CVE-2022-0562 CVE-2022-0865

CVE-2022-0891 CVE-2022-0908 CVE-2022-0909

CVE-2022-0924 CVE-2022-1056

CVSS scores:

CVE-2022-0561 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0561 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0562 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0562 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0865 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0865 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0891 (NVD) : 7.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:H

CVE-2022-0891 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2022-0908 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0908 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0909 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0909 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0924 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-0924 (SUSE): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

CVE-2022-1056 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-1056 (SUSE): 7.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H

Affected Products:

SUSE Linux Enterprise Server 12-SP5

SUSE Linux Enterprise Server for SAP Applications 12-SP5

SUSE Linux Enterprise Software Development Kit 12-SP5

https://www.suse.com/security/cve/CVE-2022-0561.html

https://www.suse.com/security/cve/CVE-2022-0562.html

https://www.suse.com/security/cve/CVE-2022-0865.html

https://www.suse.com/security/cve/CVE-2022-0891.html

https://www.suse.com/security/cve/CVE-2022-0908.html

https://www.suse.com/security/cve/CVE-2022-0909.html

https://www.suse.com/security/cve/CVE-2022-0924.html

https://www.suse.com/security/cve/CVE-2022-1056.html

https://bugzilla.suse.com/1195964

https://bugzilla.suse.com/1195965

https://bugzilla.suse.com/1197066

https://bugzilla.suse.com/1197068

https://bugzilla.suse.com/1197072

https://bugzilla.suse.com/1197073

https://bugzilla.suse.com/1197074

https://bugzilla.suse.com/1197631

Severity
Announcement ID: SUSE-SU-2022:1667-1
Rating: important

Related News